<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<!DOCTYPE html>
<html>
	<head>
		<meta charset="UTF-8"><meta http-equiv="X-UA-Compatible" content="IE=edge,Chrome=1" /><meta http-equiv="X-UA-Compatible" content="IE=9" />
        <meta name="keywords" content="百联保">
		<meta name="description" content="百联保是百川信（厦门）网络技术有限公司基于金融创新并响应互联网＋计划搭建的第三方金融服务平台。秉承开拓金融创新，减轻企业负担的服务理念，百联保利用互联网平台优势并结合保险的市场作用，将与保证金、银行保函、担保公司保函具备同等效力的保证保险保函纳入经贸合作的担保形式之一，旨在减轻企业资金负担，简化申办流程，缩短办理周期，为企业客户提供低成本、高效率、安全专业的新型互联网金融服务。">

		<title>百联保—重置密码</title>
		<link href="<c:url value='/resources/css/public.css' />" rel="stylesheet" type="text/css" />
		<link href="<c:url value='/resources/css/login.css' />" rel="stylesheet" type="text/css" />
	</head>
<body>
<div class="bzbx_logowar bg_fff">
	<div class="bzbx_logosub">
    	<p><a href="<c:url value='/' />"><img src="<c:url value='/resources/images/bzbx_logo.png'/>" width="219" height="50" title="百联保"></a></p>
        <p><label></label></p>
        <p>找回密码</p>
    </div>
</div>

<!-- 内容部分  找回密码  开始 -->
<div class="reg_contentwar">
	<div class="clear"></div>
	<div class="reg_contentsub">
    	<div class="reg_message reg_pwd">
        	<!-- 基本信息 邮箱激活 注册成功 开始 -->
        	<div class="reg_list">
                <div class="plan pwd_plan reset_plan">
                    <ul>
                        <li><label>1</label></li>
                        <li><label>2</label></li>
                        <li><label>3</label></li>
                        <li><label>4</label></li>
                    </ul>
                </div>
                <div class="clear"></div>
                <div class="listing">
                    <ul>
                        <li id="color_ff6d37">输入账号</li>
                        <li id="color_ff6d37">身份验证</li>
                        <li id="color_ff6d37">重置密码</li>
                        <li>成功&nbsp;&nbsp;&nbsp;&nbsp;</li>
                    </ul>
                </div>
            </div>
            <!-- 基本信息 邮箱激活 注册成功 结束 -->
            <!-- 基本信息 开始 -->
            <div class="reg_form">
            	<form id="loginForm" action="<c:url value='/user/password/restpwd'/>" method="post">
                	<p class="mar_top8">
                        <span>重设密码</span>
                        <input type="hidden" name="oid" value="${user.oid }">
                        <span><input type="password" name="password" id="cPassword" placeholder="重设账户密码"></span>
                        <span class="error_block"><img src="<c:url value='/resources/images/reg_error.png'/>">不能为空</span>
                    </p>
                    <div class="clear"></div>
                    <p id="width_600">
                        <span>确认密码</span>
                        <span><input type="password" placeholder="重设账户密码" name="regConfirmPassword"  id="regConfirmPassword"></span>
                        <span class="error_block"><img src="<c:url value='/resources/images/reg_error.png'/>">两次密码输入不一致，请重新输入</span>
                    </p>
                    <div class="clear"></div>
                    <p class="sub_mit"><input type="button" value="下一步" onclick="commit()"></p>
                    <div class="clear"></div>
                    <div class="reg_hint" id="pwd_hint">
                    	<p>请输填写6～20位字符，只能输入数字、字母、符号，至少包含数字和字母（区分大小写）</p>
                        <label><img src="<c:url value='/resources/images/reg_hint.png'/>"></label>
                    </div>
                </form>
            </div>
<!-- 基本信息 结束 -->
        </div>
    </div>
</div>
<!-- 内容部分  找回密码  结束 -->

<!-- 内容部分  找回密码  结束 -->
<jsp:include page="../index/multi_f.jsp" />
<!-- script -->
<script type="text/javascript" src="<c:url value='/resources/script/jquery-1.8.3.min.js'/>"></script>
<script src="<c:url value='/resources/js/insurance.js' />" type="text/javascript"></script>
<script type='text/javascript' src='https://webchat.7moor.com/javascripts/7moorInit.js?accessId=d7359b20-9dec-11ec-a564-cd73c4e7850a&autoShow=true&language=ZHCN' async='async'>
</script>
<script type="text/javascript">

	var baseUrl = '${pageContext.request.contextPath }';
	$(function(){
		var msg = '${msg}';
	    if(msg.length>1){
	    	alert(msg);
	    }
	});
    //下一步
    function commit(){
    	var regPassword = $("#cPassword").val();
    	var regConfirmPassword = $("#regConfirmPassword").val();
    	if ( regPassword == ""  || $("#cPassword").val() == "密码") {
    		$("#cPassword").parent().next().html("<img src='<c:url value="/resources/images/reg_error.png"/>'>密码不能为空");
    		$("#cPassword").parent().next().attr("style","display:block;");
    		return false;
    	}else{
        	$("#cPassword").parent().next().attr("style","display:none;");
        }
    	if ( regPassword.length < 6 ){
    		$(".reg_hint").attr("style","display:block;");
    		return false;
    	} else{
        	$(".reg_hint").attr("style","display:none;");
        }
    	if ( regConfirmPassword == "" || $("#regConfirmPassword").val() == "确认密码" ) {
    		$("#regConfirmPassword").parent().next().html("<img src='<c:url value="/resources/images/reg_error.png"/>'>确认密码不能为空");
    		$("#regConfirmPassword").parent().next().attr("style","display:block;");
    		return false;
    	}else{
        	$("#regConfirmPassword").parent().next().attr("style","display:none;");
        }
    	if ( regPassword != regConfirmPassword ){
    		$("#regConfirmPassword").parent().next().html("<img src='<c:url value="/resources/images/reg_error.png"/>'>密码不一致");
    		$("#regConfirmPassword").parent().next().attr("style","display:block;");
    		return false;
    	}else{
        	$("#regConfirmPassword").parent().next().attr("style","display:none;");
        }
    	$("#loginForm").submit();
    }
    
</script>
</body>
</html>